SND_DEVICE_FREE(9)

NAME
snd_device_free - release the device from the card

SYNOPSIS

void snd_device_free(struct snd_card * card, void * device_data);

ARGUMENTS

card
    the card instance

device_data
    the data pointer to release

DESCRIPTION

Removes the device from the list on the card and invokes the callbacks, dev_disconnect and dev_free, corresponding to the state. Then release the device.

COPYRIGHT